# Reset Card PIN

## Reset Card PIN

The Reset Card PIN API resets the card PIN.

*Beginning on 10/15/2023, The ResetCardPIN API has been enhanced to accept RPID in addition to the standard CardNumber. While the API traditionally requires CardNumber, it now accommodates an alternative identifier: by including the IDType, you can specify RPID to utilize RPID for identification within the API.*

## Input Parameters:

| Name       | Required | Definition                                                                                                                                            | Comments |
| ---------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| CardNumber | Y        | Format: Numeric, 16                                                                                                                                   |          |
| ID         | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p> |          |
| IDType     | Y        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                         |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0"?>
<PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName></UserName>
    <UserPassword></UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <UniqueRequestId>2371831</UniqueRequestId>
    <ServiceName>ResetCardPIN</ServiceName>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <ID>9800267072</ID>
    <IDType>RPID</IDType>
    <CardNumber></CardNumber>
  </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ResetCardPIN</ServiceName>
    <SessionId>29836710200826030</SessionId>
    <StatusCode>0</StatusCode>
    <StatusName>StatusOK</StatusName>
    <StatusDescription>NA</StatusDescription>
    <ServiceDate>2008-03-11 10:26:03</ServiceDate>
    <ServiceId>29836710200826030</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ResetCardPIN</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70000</StatusCode>
    <StatusName>Processor error</StatusName>
    <StatusDescription>Processor error</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/reset-card-pin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
